/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\travesty\Keys\DragonFlameKey.cs
Lines of code: 25
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class DragonFlameKey : baseexpirekey
	{
		[Constructable]
		///////////Name, itemid, hue, expire time
		public DragonFlameKey() : base("Dragon Flame Key", 4114, 37,TimeSpan.FromHours(3) )
		{
		}
		
		public DragonFlameKey( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
		base.Serialize( writer );
		writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
		base.Deserialize( reader );
		int version = reader.ReadInt(); 
		}	
	}
}

